@import "../../common/variables";

.app-header {
  height: 80px;
  width: 100%;
  background-color: rgb(0 0 0 / 20%);
  position: fixed;
  z-index: 20;

  .app-header__container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 100%;
  }

  .app-header__logo {
    font-family: $font-spartan;
    font-size: 20px;
    font-weight: 700;
    color: #f8f9fa;
  }

  .app-header__burger-btn {
    display: none;
    fill: #ffffff;
  }

  @media screen and (max-width: 576px) {
    .app-header__burger-btn {
      display: block;
    }
  }

  .app-header__navbar {
    height: 100%;
    display: flex;
    align-items: center;

    @media screen and (max-width: 576px) {
      display: none;
    }

    .app-header__navlinks-list {
      display: flex;
      align-items: center;
      gap: 25px;
      padding-right: 17px;

      @media screen and (max-width: 600px) {
        padding-right: 5px;
      }

      .app-header__navlinks-item {
        font-family: $font-roboto;
        font-size: 12px;
        color: $color-white-transparent;
        padding: 0 0 4px 0;
        line-height: 16px;
        text-align: center;

        &:hover {
          color: $color-white;
          border-bottom: 2px solid rgba($color-brown, 1);
        }
      }
    }
  }
  .app_header__socials {
    padding: 0 17px;
    border-right: 0.5px solid $color-white-transparent;
    border-left: 0.5px solid $color-white-transparent;

    .app-header__socials-list {
      display: flex;
      gap: 18px;
    }
  }

  .app-header__burger-btn,
  .app-header__search-btn {
    margin-left: 17px;
    background-color: transparent;
    border: none;
    padding: 0;
    cursor: pointer;
  }
}
